Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Update Table in Drawing - iPart Active Row

2 REPLIES 2
Reply
Message 1 of 3
Anonymous
784 Views, 2 Replies

Update Table in Drawing - iPart Active Row

I have two tables on a drawing one showing a parts list the other changes to dimensions.

 

The table to show the dimension changes is a configuration table pointing to an ipart.

 

iLogic is used to update the ipart but you have to right click to update the Active Member in the ipart to see the drawing update.

 

Is there a way to automate the 'update active member'? (on the ipart table - this does update the drawing)

I just have the one row in the table, it's purpose was to pass the values onto the drawing (as the part resizes I didn't want the dimensions moving so opted to tabulate them) - hoping they would update!

 

or

 

Is there a way to have a table update parametrically i.e. I've tried .csv as a source to the table but can't force an update. This way I could scrap the ipart & just import the values to a table.

 

The table also includes some txt comments which change with the ipart properties.

2 REPLIES 2
Message 2 of 3
xiaodong_liang
in reply to: Anonymous

Hi,

 

I do not either find a direct way 😞 the only I can think of is to select the node of the row and execute the command of activate, like doing so manually. Here is a small iLogic code for your reference. It activates the second row.

 

 
    Dim oPartDoc  
      oPartDoc = ThisApplication.ActiveDocument
    
    Dim oBP 
     oBP = oPartDoc.BrowserPanes.ActivePane
    
    Dim oIpartFactory  
     oIpartFactory = oPartDoc.ComponentDefinition.iPartFactory
    
    Dim oIpartRow 
    oIpartRow = oIpartFactory.TableRows(2)  ' e.g. want to activate the second row
   
   oPartDoc.SelectSet.Clear
   
    oPartDoc.SelectSet.Select (oIpartRow)
    
   ThisApplication.CommandManager.ControlDefinitions("PartComputeiPartRowCtxCmd").Execute2(True)
 
Message 3 of 3

What i would like to know if you can change rows on something that appears when you activate a command. 

How would that code look like?

With command row = etc then ...

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report